--- pkgconfig.SlackBuild	2006-09-14 03:36:30.000000000 -0400
+++ pkgconfig.SlackBuild.s390x	2007-01-16 01:12:33.000000000 -0500
@@ -12,7 +12,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -48,6 +48,11 @@
 chown root:root $PKG/etc/profile.d/*
 chmod 755 $PKG/etc/profile.d/*
 
+( cd $PKG/usr
+  mkdir lib64
+  cd lib64
+  ln -s /usr/lib/pkgconfig .
+)
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
